# Class AppService

- Defined in src/services.gen.ts:2758

#####
Index

### Constructors

constructor

### Methods

createApp
deleteApp
executeComponent
existsApp
getAppByPath
getAppByPathWithDraft
getAppByVersion
getAppHistoryByPath
getHubAppById
getPublicAppBySecret
getPublicResource
getPublicSecretOfApp
listApps
listHubApps
listSearchApp
updateApp
updateAppHistory

##
Constructors

### constructor

- new AppService(): AppService

- #### Returns AppService

##
Methods

### `Static` createApp

- createApp(data): CancelablePromise<string>

- create app

  #### Parameters

  - data: CreateAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2848

### `Static` deleteApp

- deleteApp(data): CancelablePromise<string>

- delete app

  #### Parameters

  - data: DeleteAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3044

### `Static` executeComponent

- executeComponent(data): CancelablePromise<string>

- executeComponent

  #### Parameters

  - data: ExecuteComponentData

    The data for the request.

  #### Returns CancelablePromise<string>

  string job uuid

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3086

### `Static` existsApp

- existsApp(data): CancelablePromise<boolean>

- does an app exisst at path

  #### Parameters

  - data: ExistsAppData

    The data for the request.

  #### Returns CancelablePromise<boolean>

  boolean app exists

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2868

### `Static` getAppByPath

- getAppByPath(data): CancelablePromise<AppWithLastVersion>

- get app by path

  #### Parameters

  - data: GetAppByPathData

    The data for the request.

  #### Returns CancelablePromise<AppWithLastVersion>

  AppWithLastVersion app details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2887

### `Static` getAppByPathWithDraft

- getAppByPathWithDraft(data): CancelablePromise<AppWithLastVersionWDraft>

- get app by path with draft

  #### Parameters

  - data: GetAppByPathWithDraftData

    The data for the request.

  #### Returns CancelablePromise<AppWithLastVersionWDraft>

  AppWithLastVersionWDraft app details with draft

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2906

### `Static` getAppByVersion

- getAppByVersion(data): CancelablePromise<AppWithLastVersion>

- get app by version

  #### Parameters

  - data: GetAppByVersionData

    The data for the request.

  #### Returns CancelablePromise<AppWithLastVersion>

  AppWithLastVersion app details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3025

### `Static` getAppHistoryByPath

- getAppHistoryByPath(data): CancelablePromise<GetAppHistoryByPathResponse>

- get app history by path

  #### Parameters

  - data: GetAppHistoryByPathData

    The data for the request.

  #### Returns CancelablePromise<GetAppHistoryByPathResponse>

  AppHistory app history

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2925

### `Static` getHubAppById

- getHubAppById(data): CancelablePromise<GetHubAppByIdResponse>

- get hub app by id

  #### Parameters

  - data: GetHubAppByIdData

    The data for the request.

  #### Returns CancelablePromise<GetHubAppByIdResponse>

  unknown app

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2778

### `Static` getPublicAppBySecret

- getPublicAppBySecret(data): CancelablePromise<AppWithLastVersion>

- get public app by secret

  #### Parameters

  - data: GetPublicAppBySecretData

    The data for the request.

  #### Returns CancelablePromise<AppWithLastVersion>

  AppWithLastVersion app details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2968

### `Static` getPublicResource

- getPublicResource(data): CancelablePromise<unknown>

- get public resource

  #### Parameters

  - data: GetPublicResourceData

    The data for the request.

  #### Returns CancelablePromise<unknown>

  unknown resource value

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2987

### `Static` getPublicSecretOfApp

- getPublicSecretOfApp(data): CancelablePromise<string>

- get public secret of app

  #### Parameters

  - data: GetPublicSecretOfAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app secret

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3006

### `Static` listApps

- listApps(data): CancelablePromise<ListAppsResponse>

- list all apps

  #### Parameters

  - data: ListAppsData

    The data for the request.

  #### Returns CancelablePromise<ListAppsResponse>

  ListableApp All apps

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2821

### `Static` listHubApps

- listHubApps(): CancelablePromise<ListHubAppsResponse>

- list all hub apps

  #### Returns CancelablePromise<ListHubAppsResponse>

  unknown hub apps list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2764

### `Static` listSearchApp

- listSearchApp(data): CancelablePromise<ListSearchAppResponse>

- list apps for search

  #### Parameters

  - data: ListSearchAppData

    The data for the request.

  #### Returns CancelablePromise<ListSearchAppResponse>

  unknown app list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2795

### `Static` updateApp

- updateApp(data): CancelablePromise<string>

- update app

  #### Parameters

  - data: UpdateAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3064

### `Static` updateAppHistory

- updateAppHistory(data): CancelablePromise<string>

- update app history

  #### Parameters

  - data: UpdateAppHistoryData

    The data for the request.

  #### Returns CancelablePromise<string>

  string success

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2946